
if g_specializationManager:getSpecializationByName("DiscHarrowMulcher") == nil then
    g_specializationManager:addSpecialization('discHarrowMulcher', 'DiscHarrowMulcher', Utils.getFilename('DiscHarrowMulcher.lua', g_currentModDirectory), nil)
end

for vehicleTypeName, vehicleType in pairs(g_vehicleTypeManager.types) do 
    if vehicleType ~= nil and not SpecializationUtil.hasSpecialization(DiscHarrowMulcher, vehicleType.specializations) and SpecializationUtil.hasSpecialization(Cultivator, vehicleType.specializations) and not SpecializationUtil.hasSpecialization(Mulcher, vehicleType.specializations) then
        g_vehicleTypeManager:addSpecialization(vehicleTypeName, 'discHarrowMulcher')
    end
end
